Bug 475238 - modemlights color issues
modemlights color issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 11:39 EST by Ray Strode [halfline]
Modified: 2009-07-14 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:24:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2008-12-08 11:39:38 EST
+++ This bug was initially created as a clone of Bug #417031 +++
--- Additional comment from andre@bwh.harvard.edu on 2008-12-07 02:49:59 EDT ---

Verified that all the default settings now are the same as the ones I posted above for FC6, except for the text background color which seems to randomly change.  If I go into the modemlights preferences to check what the text background color is, then close the preferences, then open and check again, the last two characters have randomly changed, for example

#7F0084
#7F0035
#7F00B4
.
.
.

What's up with that?  Is it supposed to be random?

--- Additional comment from andre@bwh.harvard.edu on 2008-12-07 03:01:18 EDT ---

If I explicitly set the text background color (by clicking "OK" instead of "Cancel" in the "Pick a Color" window), then it seems to stick.  However, if I remove the modemlights applet from the panel, then add it again, then check the text background color, it again has a (somewhat) random value - I always see the first 4 characters as 7F00, with the last two characters random.

--- Additional comment from rstrode@redhat.com on 2008-12-08 11:24:42 EDT ---

Probably some memory corruption bug.  should be filed as a separate issue.

--- Additional comment from andre@bwh.harvard.edu on 2008-12-08 11:29:02 EDT ---

Can you reproduce it?  I have no idea which component to file this under.

--- Additional comment from rstrode@redhat.com on 2008-12-08 11:37:21 EDT ---

gnome-applets.  I haven't tried to reproduce it, but I'll clone the bug for you.
Comment 1 Andre Robatino 2008-12-08 12:57:45 EST
I'm guessing that the memory that the text background color is stored in is uninitialized until or unless one clicks on "OK" in the "Pick a Color" window.  (Why that particular value and none of the other ones would be uninitialized, I have no idea.)
Comment 2 Andre Robatino 2008-12-08 13:01:21 EST
I noticed that the text background color is the only one that was originally equal to 0.  Maybe someone thought that automatic variables were initialized to 0 by default, and didn't do it explicitly.
Comment 3 Bug Zapper 2009-06-09 23:23:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andre Robatino 2009-06-10 00:16:36 EDT
I'm not seeing this in Fedora 11 - the text background color stays at #000000.  Will let this be closed as WONTFIX.
Comment 5 Bug Zapper 2009-07-14 12:24:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.